CHANGELOG FOR EMULE iONiX MOD

iONiX 4.4:
------------------------
- Dec 4th, 2005 -
------------------------------------
[compiled with VS 2003]
merged:		Webcache 2.0 Beta 1 * [Aireoreion]
added:		Xman Code Improvement: FillSolidRect [Aireoreion] (iONiX 4.33)
added:		SearchCatch (Slugfiller) [Aireoreion]
added:		sourceFrom (Slugfiller) [Aireoreion]
added:		cacheUDPsearchResults (itsonlyme) [Aireoreion]
added:		Xman better passive source finding [Aireoreion]
added:		check completed sources which want to download their "complete" file (Xman) [Aireoreion]
added:		Some TCP/UDPReask changes (Xtreme) [Aireoreion]
added:		NAFC (basic coding by maella) [WiZaRd/Aireoreion] - TAG: NAFC (case-sensitive)
added:		2 new CreditSystems (one by Wizard) [Aireoreion]
added:		Preview Music Files (IceCream/Morph) [Aireoreion]
added:		option to set the max client datarate in the prefs [Aireoreion] - TAG: Max ClientUploadrate
added:		option to set the userlevel in the adv. webinterface [Aireoreion]
added:		show own ip in WebServerface Box [WiZaRd]
added:		more strings can be replaced by the language-dlls [Aireoreion]
changed:	iONiX Prefs structure [Aireorein]
changed:	webcachetrustlevel from 30 to 15 [Aireoreion]
changed:	Webinterface: If an user is restricted to see all cats show the allowed files in uploading list [Aireoreion]
changed:	iONiX adv. Webinterface is now optional [Aireoreion]
changed:	Don't show message info when it is filtered [Aireoreion]
changed:	Don't ban friends that have a friendslot [Aireoreion]
changed:	Global deadlist check is now optional (default: off), because it deleted too many good sources [Aireoreion]
fixed:		Download next paused file (thx to KingSlater) [Aireoreion]
fixed:		resource leak in TransferWnd [Xman]
fixed:		SplashScreen [Aireoreion/Wizard]
fixed?:		Download- & Uploadrate in Transferwindow and Titlebar ** [Aireoreion]
fixed:		showing Webcache on FileDetailsDialog [Aireoreion]
fixed:		CPU-Usage in Minimule (thx to Stulle - idea by Wizard) [Aireoreion]
fixed:		Sorting issue in TransferWnd (Slugfiller) [Aireoreion]
fixed:		Update display info when changing AutoHL manuelly [Aireoreion]
fixed:		F1 Bug in Webcachesettings [Aireoreion]
fixed:		memleak in Kademliawindow when using IP2Country [WiZaRd]
modified:	Never use AutoHL (file specific) when not enabled in Prefs [Aireoreion]
modified:	send full emule string when using CHTTPDownloadDlg requests (CHTTPDownloadDlg 1.06) [Aireoreion]
modified:	Antivirus: now the filename is coverd by quotation marks [Aireoreion]
removed:	Unneeded Codeparts [Aireoreion]
removed:	Unneeded Icons [Aireoreion]
removed:	Unneeded Sysinfo in Minimule (is already init) [Aireoreion]

* fixes and changes - no more corrupted parts :D
** changed opcode

iONiX 4.33:
------------------------
added:		Xman Code Improvement for choosing to use compression [Aireoreion]
added:		support for different colors in the ModLog [Aireoreion]
added:		ionixguide support in Preferences dialogs added by iONiX [Aireoreion]
added:		FunnyNick hotswap support (Morph/Stulle/Aireoreion) [Aireoreion]
added		Enable ListSearch (use Ctrl+F) [WiZaRd]
changed:	Public key for Leecherlist validation is now hardcoded + support for multiple public keys [WiZaRd]
fixed:		crash when downloading fakeslist via ed2k [Aireoreion]
fixed:		possible crash with multisort [Aireoreion]
fixed:		possible crash with Automatic shared files updater [WiZaRd]
fixed:		possible crash with Friends (Xman) [Aireoreion]
fixed:		crash using F1 in Preferences dialogs added by iONiX [Aireoreion]
fixed:		not saving RegEx and Care4All (Categories) [Aireoreion]
modified:	compression rate now decreases with higher upload speed (netfinity) -> higher uploadspeed possible [Aireoreion] (iONiX 4.32)
optimizied: iONiX Source [WiZaRd]
removed:	antileech.pub


iONiX 4.32:
------------------------

added:		some forgotton codeparts in MultiSort [WiZaRd]
added:		rightclick options for AutoHL/Hardlimit per file [WiZaRd]
added:		saving of Hardlimit per file* [WiZaRd]
added:		cFos check [Aireoreion/WiZaRd]
added:		WiZaRd PowerShare** [WiZaRd] - Tag: WiZaRd::PowerShare
added:		FunnyNick (Morph/Stulle) [Aireoreion]
added: 		Hashing progress indication by O˛ [WiZaRd] + extension for AICH [WiZaRd] - Tag: WiZaRd::Hashing Progress [O˛]
added:		if started for the first time/update, iONiX will create a "clean" pref on save***** [WiZaRd] - Tag: WiZaRd::Fresh Pref
added:		Serverside rating support in search ******[Aireoreion/WiZaRd]
re-added:	option for additional toolbar in TransferWnd [Aireoreion]
added:		second additinal toolbar in TransferWnd [Aireoreion]
added:		external antileech.dat file containing leecher info, protected by 1024Bit RSA key [WiZaRd] ********
added:		option to disable DropDown Buttons in TransferWnd [Aireoreion]
added:		FakeCheck + IPFilter Update via eD2K (idea by emuleplus) [WiZaRd/Aireoreion] - Tag: WiZaRd::eD2K Updates
changed:	bad mod list **** [WiZaRd]
changed:	upload buffer now adapts to uploadspeed*** [WiZaRd] - Tag: WiZaRd::Caching
changed:	anti-modfaker returned to v2.1 because of difficulties with orig code [WiZaRd]
changed:	a lot of default pref settings for newbie users [WiZaRd]
changed:	queuesize fix******* [WiZaRd]
fixed:		saving of dirchecker setting [WiZaRd]
fixed:		added missing hardlimit check in passive src finding [WiZaRd]
fixed:		progressbar switch now works correctly [WiZaRd/Aireoreion]
fixed:		saving/loading of invisiblemode key [WiZaRd]
fixed:		possible crash with Automatic shared files updater [WiZaRd/Aireoreion]
fixed:		Good and Fair Rating icons were switched [Aireoreion]
fixed:		Too many uploads slot with Minimize Uploadslots activated and no upload limit [Aireoreion]
fixed:		Prefs: ICMP and editboxes not disabled when ConChecker is disabled [Aireoreion]
fixed:		No pre-selected cat in Webinterface [Aireoreion]
fixed:		Fakecheck Reset [Aireoreion]
modified:	eMule Priority Settings [Aireoreion] - Tag: [ionix]: high process priority - based on MORPH
modified:   SplashScreen [Aireoreion] (new image by bobo {idea by Wizard})
update:		CreditsThread [Aireoreion]
removed:	TPT: Friend Slot [WiZaRd]
removed:	Morph PowerShare [WiZaRd]
removed:	various unneeded codeparts [WiZaRd]
removed:	sivka filesettings [WiZaRd]
removed:	WebCache link to sourceforge requested by Superlexx [WiZaRd]
-----
added:		French language support [Firnus]
update:		de_DE.dll [Aireoreion]
update:		it_IT.dll [FrankyFive]
update:		es_ES_T.dll [Maraglio]

* be careful when using QuickStart - it will reset the HL to your chosen value - that's NOT a bug!
** a simple yet effective PS
*** this might help uploaders with high upload speeds
**** we also added NeoMule to the bad mod list as we think the good version is used to promote the bad version
	  and it has bad features - no discussion about that, the ban will stay -
***** your old preferences.ini (if there was one) will be renamed to preferences.old
****** if you add a rating to a sharedfile it will be send to the server. the server will calculate the average rating which will be displayed in the search results (Serverversion must >= 17.6)
******* queuesoftlimit will now be calculated, instead the hardlimit, if you set it to 5000 it will stay there
******** you can update the antileecher.dat using http://emuleionix.airu.de/antileech.zip


iONiX 4.31:
------------------------

added:  	Advanced webserver interface account management (inspired by eChanblard) [WiZaRd/Aireoreion] - Tag: Advanced WebInterface Account Management
added:		two cookie-based settings in webserver login (requires Javascript and Cookies enabled) [Aireoreion] - Tag: Cookie settings
added:		View filter in Shared Files by ED2k-Search-Type (Avi3k/Slugfiller) [Aireoreion] - Tag: Avi3k: SharedView Ed2kType
re-added:	Support for non-iONiX language files [Aireoreion]
fixed:		Update SharedFilesList when changing Powershare in the Settings [Aireoreion]
fixed:		Apply-Button remains inactive when clicking on "restore last main window" (thx LD86) [Aireoreion]
fixed:		ConChecker (fully working now) [WiZaRd]
fixed:		Secure Identification Bug in 4.3 (getting banned by other iONiX User) [WiZaRd]
fixed?:		Download- & Uploadrate in Transferwindow and Titlebar [WiZaRd/Aireoreion]
fixed:		Banned Client Counter (Xman) [Aireoreion]
fixed:		Middle button click in TransferWindow (Slugfiller) [Aireoreion] - Tag: SLUGFILLER: middleButtonFix
fixed:		Saving items of the default category not in the default incoming folder (thx FoRcE-MST) [Aireoreion]
fixed:		wrong strings shown with non-iONiX language files (thx eryen) [Aireoreion]
fixed:		Not all files are shown in shared files using "all files" on Incomplete Files filter [WiZaRd]
modified:	Spreadbars (Slugfiller) [Aireoreion]
modified:	changed default URL for Fakes to fakes.zip (was fakes.dat) [Aireoreion]


iONiX 4.3
------------------------
merged to eMule 0.46c [Aireoreion/WiZaRd]

added:    automatic kademlia firewalled check [WiZaRd] - Tag: WiZaRd::Recheck Firewalled
added:    UDP-FNF Antileech Protect [WiZaRd]
added:    SplitterBar in TransferWindow from eMule 0.46a [Aireoreion]
added:    Automatic shared files updater [Monki]
added     MultiSort (Slugfiller) [Aireoreion/WiZaRd]
added:    Some small optimizations [WiZaRd]
fixed:    Wrong Parameter in the Prefs [Aireoreion]
fixed:    Crash when setting HideOS/Powershare [Aireoreion]
fixed:    Updating problems using iONiX Tweaks V [Aireoreion]
modified: if webcache is disabled no WC info is sent - you'll appear as "vanilla" eMule [WiZaRd]
modified: SplashScreen [Aireoreion] (new image by bobo)
modified: Always activate TranferFullChunks [WiZaRd/Aireoreion]
update:   zlib to v1.2.3 [Aireoreion]
update:   CreditsThread [Aireoreion]
removed:  Webcache credit bonus [WiZaRd/Aireoreion]

UDP-FNF FiX:
Tag: //>>> WiZaRd - Anti-Leecher
Ususally a client will swap from his reqfile if he cancels/completes a dl which is the situation we can get an UDP-FNF by requesting that file. However, if we still have that client in our queue requesting that file he either could not swap (?) or he is a leecher pretending to not have that file. In any case, we can drop him from our queues (safely, I guess...) which will safe some possible failed upload sessions plus prevent being leeched.


iONiX 4.22:
------------------------

fixed:    NiceMove [WiZaRd]
fixed:    Webcache Infos in ClientDialog [Aireoreion]
modified:  Disable Spooky if Kad is disconnected [WiZaRd]
Some more small fixes


iONiX 4.21:
------------------------

added:    option to disable ProgressBars [WiZaRd/Aireoreion]
fixed:    WS2_32.dll error [Netfinity]
fixed:    Connection problems [Aireoreion/WiZaRd]
optimizied:  AntiNickThief [Stulle/WiZaRd]


iONiX 4.2:
------------------------

merged to eMule 0.45b [Aireoreion/WiZaRd]

added:    ProgressBars [WiZaRd]
added:    possibility to Restore last main window [WiZaRd/Aireoreion]
added:    NiceHash for Moving complete files process [WiZaRd]
added:    Don't kill source if it's the only one complet source,
      it's a friend, a proxy or not ed2kclient (Morph) [Aireoreion]
added:    WebCache v2 - includes massive changes in some files by WiZaRd! [WiZaRd]
added:    Emugle Websearch [Aireoreion]
fixed:    some forgotten Optimizer-tags [WiZaRd]
fixed:    Download Files in Bold (CPU-Bug) [WiZaRd/Aireoreion]
fixed:    CorruptionBytes in Stats (netfinity) [WiZaRd/Aireoreion]
fixed:    Missing ModString in KnownClientsList [Aireoreion]
fixed:    TransferRate in Tray [WiZaRd]
fixed:    Edit Server and My Info complication [Aireoreion]
fixed:    Quickstart infoline in Modlog [Aireoreion]
fixed:    Upload datarate display [WiZaRd]
removed:  WebCache v1 [Aireoreion/WiZaRd]



iONiX 4.12:
------------------------

-------------
-- added:    AntiLeech-Class  [WiZaRd]
-------------
-- this class currently contains  AntiNickThief v2.2 && AntiModThief v2.1 which are
-- updated versions of our old codes
-- @MODDERS: please read the comments in the src files!
-------------
added:    Minimize on close (if you click the X then eMule will be minimized) [WiZaRd]
added:    WiZaRd ModVersion Code
fixed:    WiZaRd AutoHL [WiZaRd/Aireoreion]
fixed:    Editboxes in iONiX Tweaks II [Aireoreion]
fixed:    Upload in Taskbar/Minimule is now displayed correct if Pawcio BC is disabled [Aireoreion]
fixed:    Asterisk for 1:4 session ratio is now displayed in Taskbar [Aireoreion/WiZaRd]
fixed:    TBH-Minimule (TPT) [Aireoreion]
fixed:    FriendSlots & Friendslot Icons [Aireoreion]
fixed:    Friendupload in Stats [WiZaRd]
fixed:    UploadList [WiZaRd]
optimizied:  iONiX Prefs [WiZaRd]
modified:  Categories (most parts from categories+ by khaos/TPT) [Aireoreion]
removed:  Pawcio ModVersion Code
removed:  official Minimule (TPT) [Aireoreion]
removed:  AntiModThief  [WiZaRd]
removed:  AntiNickThief  [WiZaRd]

Some small fixes and changes from TPT
Some main fixes and changes by WiZaRd


iONiX 4.11:
------------------------

added: IP2Country to Kadmelia (efmod) [SP/WiZaRd/Aireoreion]
added: Invisible Mode on Startup [WiZaRd/Aireoreion]
added and modified: NiceHash from CB-Mod [WiZaRd/Aireoreion]
added: iONiX Webtemplate [dani555]
added: included german language file [Aireoreion]
fixed: Upload color [SP/Aireoreion]
fixed: Detailinfo in chatwindow [SP]
fixed: WiZaRd AutoHL [SP] //ThX 2 mikeeblau
fixed: PC: timeout fix focused [WiZaRd]
fixed: WC: timeout fix focused [WiZaRd]
fixed: Copy ed2k-Link (Boardcode) in Downloadlist, Searchlist, Shared Files [SP] //ThX 2 moony
fixed: Source Saver unicode compatibility //ThX 2 mikeeblau
fixed: missing Optimizer entries [Aireoreion]
fixed: Don't Refresh item in UploadList if not needed (morph) [Aireoreion]
modified: iONiX Prefs to work with diffrent languages [Aireoreion]
update: Import Parts from SR13 (Morph) [Aireoreion]

some small changes and fixes


iONiX 4.1:
------------------------

added: WiZaRd AutoHL [WiZaRd]
added: aux Ports support from lugdunummaster (morph) [SP]
added: failed WC-Downloads (number) and percentage of all WC-Download sessions (morph) [Aireoreion]
added: Check ionixguide for it's correct version [Aireoreion]
added: Anti-Virus Check (stormit) [SP]
added: Upload/Download colored/bold (efmod) [SP]
added: emulate MLDonkey, eDonkey, eDonkeyhybrid (ZX) [SP]
fixed: optical problems [SP]
fixed: Change of downloadspeed in BandwidthControl [Aireoreion] //ThX 2 mikeeblau
fixed: Reask source after IP Change (sivka/WiZaRd) [SP]
modified: RandomPort (monki) [Aireoreion]
modified: ModVersion integration [Aireoreion/WiZaRd]
modified: fakecheck view in transfer/download Window [SP/WiZaRd]
modified: IP2Country (morph/eastshare) [SP/WiZaRd]
update: ionixguide 1.1.3 [Aireoreion]

many small changes and fixes


iONiX 4.01 (Hotfix):
------------------------

fixed: AntiNickThief [WiZaRd]


iONiX 4.0:
------------------------
merged to eMule 0.45b [SP]

compiled with new zlib 1.22

added: Versionscheck iONiX [Aireoreion]
added: iONiX Guide [Aireoreion/SP]
added: link to iONiX Support Forum [WiZaRd/SP]
added: Establish Friendslot in Transfer/Queue [SP]
added: Info-Dialog for new WebCache users [Aireoreion]
fixed: complete download-prio rework [WiZaRd]
fixed: Statistics [WiZaRd]
fixed: memory exception [WiZaRd]
fixed: Creditssystem (Pawcio/Lovelace/Official/None) [WiZaRd/Aireoreion]
fixed: problems with webcache when using randomports [WiZaRd]
fixed: problems with uncorrected transferrates in titel when activated BC [WiZaRd/Aireoreion]
fiXed: ConChecker [WiZaRd]
modified: particial S.N.A.F.U. V 3.1 [WiZaRd]
modified: enkeyDEV: ICS [SP]
modified: Fakecheck [SP]
modified: ipfilter.dat check [SP]
removed: WapServer from emulEspaņa [SP]
removed: crashreporter [SP]

Many small fixes and changes



iONiX 3.61:
------------------------

added: Sivka - Aggressive Client Handling [WiZaRd/SP]
added: Simple Drop Timer [WiZaRd/SP]
added: Drop Log [SP]
modified: AntiModthief v2 [WiZaRd]
change: AntiNickThief Update to v2 [WiZaRd]
change: using the safe-delete macros for some deletions [WiZaRd] //macros from eWombat
fix: Statistics [SP]
fix: Use correct icon for statistics [SP]
fix: fixed sendbuffer-deletion in ClientUDPSocket [WiZaRd] //ThX 2 spanish_man
fix: fixed some banning options & logs [WiZaRd]
removed: Option for Defeat 0-filled Part Senders


iONiX 3.60:
------------------------

added: Bandwidth Control (Pawcio) [SP]
added: Creditssystem (Pawcio/Lovelace/Official/None) [SP]
added: Share only the Need [Pawcio] [SP]
added: Hide Over Share [Pawcio] [SP]
added: Anti HideOS [Netfinity] [SP]
modified: Powershare [Morph/Pawcio] [SP]
removed: Min/Max Slots
removed: Smart Upload Control v2 (SUC)
removed: Automatic Dynamic Upload System switching
removed: failed WC-Downloads (number) and percentage of all WC-Download sessions

iONiX 3.51:
------------------------

FiX: sorting by version in clientlist fixed [WiZaRd]
FiX: country column is now saved properly [WiZaRd]
FiX: fixed some banning options [WiZaRd]
FiX: relax some list-cleaning actions to save CPU [WiZaRd]
FiX: prefs won't be saved on clicking cancel (speedup) [WiZaRd]
ADDON: added CrashRptDll-support [WiZaRd]
CHANGE: QuickStart does no more depend on number of files (will keep your set timing) [WiZaRd]
CHANGE: PowerSharing clients will always get in upload first (score doesn't matter) [WiZaRd]
CHANGE: QuickStart will now use less CPU [WiZaRd]
CHANGE: changed default CPU support to all CPUs [WiZaRd]


iONiX 3.5:
------------------------

added: Spooky-Mode [ewombat] [Fenderman]
added: Con Checker [ewombat] [WiZaRd]
added: Url to ionix Mod Update [SP]
added: PowerSharing [WiZaRd 4 [ionix] - PowerShare]
--> Restrictions:
- only ONE file can be powershared
- only COMPLETE files can be powershared
added: New Icons [Jelly]
modified: Drop NNS, FullQR, too many connections,Drop High Queue Sources (with Buttonbar)
fix: typedef fix for some compilers [WiZaRd 4 [ionix] - FiX typedefs]
fix: remove WebCache Sockets from upload [WiZaRd 4 [ionix] - WCSocket-Removal]
fix: fixed wrong IDC for exit in tray [WiZaRd 4 [ionix] - IDC_TRAY_EXIT]
fix: complete source display fix [WiZaRd 4 [ionix] - complete source fix]
removal: removed 17 uneeded icons from res-folder


iONiX 3.47:
------------------------

fiX: crash on downloadingclients without credits [WiZaRd]


iONiX 3.45:
------------------------

added: Smart Upload Control v2 (SUC)
added: Automatic Dynamic Upload System switching
added: failed WC-Downloads (number) and percentage of all WC-Download sessions
added: Import Parts from SR13
added: Option for Defeat 0-filled Part Senders
modified: Anti Mod Faker

some Bugfixes by WiZaRd


iONiX 3.44:
------------------------

added: Min/Max Slots
optimized: Release Prio
added: Serverfilter
modified: enkeyDEV: ICS
modified: Reconnect on LowID
modified: Optimizer
removed: Powershare
removed: Bandwidth Control
removed: Pawcio Credit
removed: emulate others
removed: netfinity: Anti HideOS



iONiX 3.3:
------------------------

added: Leecher Secure
added: ClientBantime 1-20 h
added: Anti ID Mod Faker
added: particial S.N.A.F.U. V3
added: Leecher Secure Log
added: UPNP,RandomPort,Inproved ICF from emulEspaņa
added: WapServer from emulEspaņa
added: Mini-Mule


iONiX 3.24:
------------------------

added: Webcache 1.2f
added: Anti-Nickthief
fixed: Auto-HL


iONiX 3.22:
-------------------------

build: This is a Unicode Build
fixed: show iONiX icon on Client detect
fixed: IP Country
fixed: Quickstart


iONiX 3.2:
------------------------


added: Webcache 1.2e
added: Load/Saved Sources
added: Fakecheck
added: ipfilter.dat check
added: show version-numbers of Fakes- and IPfilter.dat
added: show iONiX icon on Client detect
added: Releasewindow
added: AutoBackup
added: Automatically backup backups in backup2 directory
fixed: Quickstart on IP change
modified: Quickstart



iONiX 3.11:
------------------------

added: DL-Feedback in Downloadlist



iONiX 3.1:
------------------------

removed: autoserver reconnect
fixed: control download priority
fixed: multiple Instances
fixed: Reconnect on Low ID

added: Quickstart on IP change
added: Drop NNS, FullQR, too many connections, unknown sources
added: Copy ed2k-Link (Boardcode) in Downloadlist, Searchlist, Shared Files
added: Copy Release Upload Report in Shared Files



iONiX 3.0:
------------------------
- Xlillo 1.03 merged
- control download priority
- Reconnect on Low ID
- Reask Server after IP Change
- Invisible mit HotKey
- IP Country
- emulate Edonkey
- emulate ML Donkey
- emulate Hybrid
- multiple Instances
- eigener Splashscreen
- Sidebanner
- QR Verlauf im Downloadfenster
- RQR/Speed im Upload
- Modlog
- UL-Feedback
- Quickstart
- autoserver reconnect